PlayerPrivate.h File Reference

Source file for PlayerPrivate class. More...

`#include "../ReaderBase.h"`
`#include "../RendererBase.h"`
`#include "../AudioReaderSource.h"`
`#include "../Qt/AudioPlaybackThread.h"`
`#include "../Qt/VideoPlaybackThread.h"`
`#include "../Qt/VideoCacheThread.h"`

Go to the source code of this file.

## Classes

class | openshot::PlayerPrivate
| The private part of QtPlayer class, which contains an audio thread and video thread, and controls the video timing and audio synchronization code. More...

## Namespaces

| openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Source file for PlayerPrivate class.

Author
  Duzy Chan code@.nosp@m.duzy.nosp@m..info
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file PlayerPrivate.h.